
Name:    ktp-common-internals 
Summary: Common internals for KDE Telepathy 
Version: 0.5.1
Release: 1%{?dist}

License: LGPLv2+
URL:     https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0: http://download.kde.org/unstable/kde-telepathy/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(TelepathyQt4) >= 0.9.2.1 

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: telepathy-qt4-devel
%description devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc COPYING 
%{_kde4_bindir}/ktp-debugger
%{_kde4_appsdir}/ktelepathy/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/libktpcommoninternalsprivate.so.3*
%{_kde4_libdir}/libktpmodelsprivate.so.3*
%{_kde4_libdir}/libktpwidgetsprivate.so.3*
# wtf
%{_kde4_libdir}/libktpcommoninternalsprivate.so.0.5*
%{_kde4_libdir}/libktpmodelsprivate.so.0.5*
%{_kde4_libdir}/libktpwidgetsprivate.so.0.5*

%files devel
%{_kde4_libdir}/libktpcommoninternalsprivate.so
%{_kde4_libdir}/libktpmodelsprivate.so
%{_kde4_libdir}/libktpwidgetsprivate.so
%{_kde4_includedir}/KTp/


%changelog
* Fri Oct 05 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.5.1-1
- 0.5.1

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.0-1
- 0.5.0

* Thu Jul 26 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-1
- 0.4.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-1
- 0.4.0

* Mon Apr 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- 0.3.1

* Tue Jan 24 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- ktp-common-internals-0.3.0
